> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polyhistorical.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market

> Get a single market by its slug

# Get Market

Returns detailed data for a single market identified by its slug.

## Request

```
https://api.polyhistorical.com/v1/markets/{slug}
```

### Headers

<ParamField header="X-API-Key" type="string" required>
  Your API key. See [Authentication](/api-reference/overview#authentication).
</ParamField>

### Path parameters

<ParamField path="slug" type="string" required>
  The market slug, e.g. `btc-updown-5m-1774975800`
</ParamField>

## Response

Returns a single market object.

<ResponseField name="slug" type="string">Market slug identifier</ResponseField>
<ResponseField name="market_id" type="string">External market ID</ResponseField>
<ResponseField name="event_id" type="string">External event ID</ResponseField>
<ResponseField name="market_type" type="string">Market interval — 5m, 15m, 1hr (all coins), 4hr, 24hr (BTC only)</ResponseField>
<ResponseField name="start_time" type="string">Market start time (ISO 8601)</ResponseField>
<ResponseField name="end_time" type="string">Market end time (ISO 8601)</ResponseField>
<ResponseField name="coin_price_start" type="number">Coin price at market start (null if not yet recorded)</ResponseField>
<ResponseField name="coin_price_end" type="number">Coin price at market end (null if unresolved)</ResponseField>
<ResponseField name="condition_id" type="string">Polymarket condition ID</ResponseField>
<ResponseField name="clob_token_up" type="string">CLOB token ID for the "Up" outcome</ResponseField>
<ResponseField name="clob_token_down" type="string">CLOB token ID for the "Down" outcome</ResponseField>
<ResponseField name="winner" type="string">Winning outcome (null if unresolved)</ResponseField>
<ResponseField name="final_volume" type="number">Final trading volume (null if unresolved)</ResponseField>
<ResponseField name="final_liquidity" type="number">Final liquidity (null if unresolved)</ResponseField>
<ResponseField name="resolved_at" type="string">Resolution timestamp (null if unresolved)</ResponseField>
<ResponseField name="created_at" type="string">Record creation timestamp</ResponseField>
<ResponseField name="updated_at" type="string">Record last updated timestamp</ResponseField>

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "X-API-Key: YOUR_API_KEY" \
    "https://api.polyhistorical.com/v1/markets/btc-updown-5m-1774975800"
  ```

  ```python Python theme={null}
  response = requests.get(
      "https://api.polyhistorical.com/v1/markets/btc-updown-5m-1774975800",
      headers={"X-API-Key": API_KEY}
  )
  ```
</CodeGroup>

### Response

```json theme={null}
{
  "slug": "btc-updown-5m-1774975800",
  "winner": "Down",
  "market_id": "1793728",
  "event_id": "325933",
  "market_type": "5m",
  "start_time": "2026-03-31T16:50:00Z",
  "end_time": "2026-03-31T16:55:00Z",
  "coin_price_start": 67701.82777476,
  "condition_id": "0x740cfdbafa8d1b1d51729da79b05e641158d3a7c889175dab1eab20a2c92b5cc",
  "clob_token_up": "83511279567738325562016865404511480598726292757090195771777541218161914729159",
  "clob_token_down": "66091509674921971407227514952521456996907573303653223323107401767726760115252",
  "final_volume": 202849.44,
  "final_liquidity": 12435.04,
  "coin_price_end": 67611.61304387,
  "resolved_at": "2026-03-31T16:55:25Z",
  "created_at": "2026-03-31T16:50:00.943587Z",
  "updated_at": "2026-03-31T17:21:20.768590Z"
}
```
